org.vishia.guiInspc

## Class InspcGui

- java.lang.Object
- - org.vishia.guiInspc.InspcGui

- All Implemented Interfaces:
    CompleteConstructionAndStart

      public class InspcGui
      extends java.lang.Object
      implements CompleteConstructionAndStart

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `InspcGui.CallingArguments`
    `private static class` | `InspcGui.CmdLineAndGui` Organisation class for the GUI.
    `private class` | `InspcGui.InspcGuiCfg` Overrides the GuiCfg with special initialization and methods.
    `private class` | `InspcGui.InspcPlugUser`
    `private class` | `InspcGui.UserInspcPlug`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) GralUserAction` | `actionGetValueByHandleIntern`
    `(package private) GralUserAction` | `actionSetRetryDisabledVariable` Action for button log.
    `(package private) GralUserAction` | `actionUseGetValueByHandle` Action for button log.
    `private java.lang.Runnable` | `callbackOnReceivedData`
    `private InspcGui.CallingArguments` | `cargs` The communication manager.
    `(package private) static GralColor` | `colorOldValue`
    `(package private) static GralColor` | `colorRefreshed`
    `GralColorSelector` | `colorSelector`
    `private java.util.List<CompleteConstructionAndStart>` | `composites`
    `(package private) InspcCurveView` | `curveA`
    `(package private) InspcCurveView` | `curveB`
    `(package private) InspcCurveView` | `curveC`
    `(package private) InspcFieldTable` | `fieldsA`
    `(package private) InspcFieldTable` | `fieldsB`
    `private FileCluster` | `fileCluster`
    `(package private) GuiCfg` | `guiCfg`
    `(package private) InspcMng` | `inspcMng`
    `(package private) InspcGui.InspcPlugUser` | `inspcMngUser` This plugged application for the inspector manager.
    `(package private) GralPanelActivated_ifc` | `panelActivated`
    `private InspcGui.UserInspcPlug` | `userInspcPlug`
    `static java.lang.String` | `version` Version, history and license 2016-12-30 Hartmut chg: The buttons for log, retry, get by handle are not part of `InspcViewTargetComm` 2016-01-24 Hartmut new: cmd line argument -cycle= for cycletime 2015-01-27 Hartmut new: Test `actionGetValueByHandleIntern` 2015-01-27 Hartmut new: Now initialized the `GralShowMethods` for usage on edit fields.
    `(package private) InspcViewTargetComm` | `viewTargetComm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InspcGui(InspcGui.CallingArguments cargs, GralArea9MainCmd cmdgui)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `callbackOnReceivedData()` This method is invoked by callback if a receive cycle is finished.
    `(package private) void` | `checkWidgetsToRefresh(GralPanelContent panel, long time, long timeAtleast, int recursiveCnt)`
    `void` | `completeConstruction()` This routine should be called after all instances were created.
    `static void` | `main(java.lang.String[] args)` The command-line-invocation (primary command-line-call.
    `(package private) void` | `panelActivated(java.util.List<GralWidget> widgets)`
    `void` | `startupThreads()` This routine should be called from the main builder and then all children if the `CompleteConstructionAndStart.completeConstruction()` was called for all.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final java.lang.String version

      Version, history and license
      - 2016-12-30 Hartmut chg: The buttons for log, retry, get by handle are not part of `InspcViewTargetComm`
      - 2016-01-24 Hartmut new: cmd line argument -cycle= for cycletime
      - 2015-01-27 Hartmut new: Test `actionGetValueByHandleIntern`
      - 2015-01-27 Hartmut new: Now initialized the `GralShowMethods` for usage on edit fields. An edit field can use the `GralShowMethods.syncVariableOnFocus` if the text was changed. It invokes `VariableAccess_ifc.setString(String)` which changed the content of the variable on their target.
      - 2012-08-10 Hartmut A default directory for curve config files given with argument "-dirCurves=".
      - 2012-04-17 Hartmut new: Parameter `InspcGui.CallingArguments.bUseGetValueByIndex` for downward compatibility
      - 2011-04-20 Don't derive this class from `GuiCfg`, instead uses the inner class `InspcGui.InspcGuiCfg`. It is a problem of order of instantiation.
      - 2011-04-00 Hartmut creation.
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### composites

          private final java.util.List<CompleteConstructionAndStart> composites

    - #### actionSetRetryDisabledVariable

          GralUserAction actionSetRetryDisabledVariable

      Action for button log. It switches on or off the logging functionality to log the telegram traffic for debugging.

    - #### actionUseGetValueByHandle

          GralUserAction actionUseGetValueByHandle

      Action for button log. It switches on or off the logging functionality to log the telegram traffic for debugging.

    - #### cargs

          private final InspcGui.CallingArguments cargs

      The communication manager.

    - #### panelActivated

          GralPanelActivated_ifc panelActivated

    - #### guiCfg

          final GuiCfg guiCfg

    - #### inspcMng

          final InspcMng inspcMng

    - #### callbackOnReceivedData

          private final java.lang.Runnable callbackOnReceivedData

    - #### colorRefreshed

          static final GralColor colorRefreshed

    - #### colorOldValue

          static final GralColor colorOldValue

    - #### curveA

          InspcCurveView curveA

    - #### curveB

          InspcCurveView curveB

    - #### curveC

          InspcCurveView curveC

    - #### fieldsA

          InspcFieldTable fieldsA

    - #### fieldsB

          InspcFieldTable fieldsB

    - #### viewTargetComm

          InspcViewTargetComm viewTargetComm

    - #### inspcMngUser

          InspcGui.InspcPlugUser inspcMngUser

      This plugged application for the inspector manager.

    - #### colorSelector

          public GralColorSelector colorSelector

    - #### fileCluster

          private final FileCluster fileCluster

    - #### userInspcPlug

          private final InspcGui.UserInspcPlug userInspcPlug

    - #### actionGetValueByHandleIntern

          GralUserAction actionGetValueByHandleIntern

  - ### Constructor Detail

    - #### InspcGui

          InspcGui(InspcGui.CallingArguments cargs,
                   GralArea9MainCmd cmdgui)

  - ### Method Detail

    - #### completeConstruction

          public void completeConstruction()

      Description copied from interface: `org.vishia.util.CompleteConstructionAndStart`
      This routine should be called after all instances were created. Sometimes instances should be referred vice-versa or any referred instance from an aggregation should be known.
      Specified by:
        `completeConstruction` in interface `CompleteConstructionAndStart`

    - #### startupThreads

          public void startupThreads()

      Description copied from interface: `org.vishia.util.CompleteConstructionAndStart`
      This routine should be called from the main builder and then all children if the `CompleteConstructionAndStart.completeConstruction()` was called for all. It should implement starting of threads, if necessary. Or assign start data.
      Specified by:
        `startupThreads` in interface `CompleteConstructionAndStart`

    - #### panelActivated

          void panelActivated(java.util.List<GralWidget> widgets)

    - #### callbackOnReceivedData

          private void callbackOnReceivedData()

      This method is invoked by callback if a receive cycle is finished. Shows values.

    - #### checkWidgetsToRefresh

          void checkWidgetsToRefresh(GralPanelContent panel,
                                     long time,
                                     long timeAtleast,
                                     int recursiveCnt)

    - #### main

          public static void main(java.lang.String[] args)

      The command-line-invocation (primary command-line-call.
      Parameters:
        `args` - Some calling arguments are taken. This is the GUI-configuration especially.